# Home-Manager Options

## homeFiles.enable
  - Enables my declared files
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/files/neofetch.nix'

## hyprlandConfig.enable
  - Enables my custom hyprland configuration
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/environment/hyprland.nix'

## autojumpConfig.enable
  - Enables my autojump options
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/programs/autojump.nix'

## stylixHomeConfig.enable
  - Enables my stylix home-manager options
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/environment/stylix.nix'

## waybarConfig.enable
  - Enables my custom waybar configuration
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/environment/waybar.nix'

## gtkConfig.enable
  - Enables my gtk configuration
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/environment/gtk.nix'

## spicetifyConfig.enable
  - Enables my spicetify configuration
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/environment/spicetify.nix'

## starshipConfig.enable
  - Enables my starship configuration
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/environment/starship.nix'

## btopConfig.enable
  - Enables my btop configuration
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/programs/btop.nix'

## swayncConfig.enable
  - Enables my swaync configuration
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/environment/swaync.nix'

## userPkgs.enable
  - Enables my default user packages
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/environment/userpkgs.nix'

## cavaConfig.enable
  - Enables my cava configuration
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/programs/cava.nix'

## ezaConfig.enable
  - Enables my eza configuration
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/programs/eza.nix'

## firefoxConfig.enable
  - Enables my firefox configuration
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/programs/firefox.nix'

## fuzzelConfig.enable
  - Enables my fuzzel configuration
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/programs/fuzzel.nix'

## fzfConfig.enable
  - Enables my fzf configuration
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/programs/fzf.nix'

## gitConfig.enable
  - Enables my git configuration
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/programs/git.nix'

## kittyConfig.enable
  - Enables my kitty configuration
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/programs/kitty.nix'

## yaziConfig.enable
  - Enables my yazi configuration
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/programs/yazi.nix'

## zshConfig.enable
  - Enables my zsh configuration
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/environment/zshell.nix'

## passConfig.enable
  - Enables my password-store configuration
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/programs/password-store.nix'

## batConfig.enable
  - Enables my bat configuration
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/programs/bat.nix'

## movScripts.enable
  - Enables my custom script binaries
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/scripts/default.nix'

## movScripts.commandScripts
### enable
  - Enables my custom command scripts
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/scripts/default.nix'
### invoke.enable
  - Enables the invoke command
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/scripts/default.nix'
### runbg.enable
  - Enables the runbg command
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/scripts/default.nix'
### splash.enable
  - Enables the splash command
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/scripts/default.nix'
### toolbelt.enable
  - Enables the toolbelt command
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/scripts/default.nix'
### viconf.enable
  - Enables the viconf command
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/scripts/default.nix'

## movScripts.hyprlandControls
### enable
  - Enables my hyprland control shortcut scripts
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/scripts/default.nix'
### chpaper.enable
  - Enables the chpaper command
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/scripts/default.nix'
### scheck.enable
  - Enables the scheck command
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/scripts/default.nix'
### chscheme.enable
  - Enables the chscheme command
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/scripts/default.nix'
### keyring.enable
  - Enables the keyring command
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/scripts/default.nix'
### moveonscreen.enable
  - Enables the moveonscreen command
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/scripts/default.nix'
### switchmon.enable
  - Enables the switchmon command
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/scripts/default.nix'
### mkscreenshots.enable
  - Enables the mkscreenshots command
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/scripts/default.nix'

## movScripts.nixShortcuts
### enable
  - Enables my NixOS aliases
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/scripts/default.nix'
### garbage-collect.enable
  - Enables the garbage-collect command
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/scripts/default.nix'
### nsp.enable
  - Enables the nsp command
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/scripts/default.nix'
### rebuild.enable
  - Enables the rebuild command
  - Type: Boolean
  - Default: true
  - Defined in 'modules/home/scripts/default.nix'
